Subject: Re: [net PATCH 1/1] drivers: net: cpsw: fix disabling of tx interrupt in rx isr

From: Felipe Balbi <[email-masked]>
Date: Wed, 8 Jul 2015 02:38:55 -0500

Hi,

On Wed, Jul 08, 2015 at 12:17:46PM +0530, Mugunthan V N wrote:
> With the below commit, common isr is split into tx and rx, but in
> rx isr tx interrupt is also disabled. So tx packets are not handled
> during rx interrupts and rx napi completion. Fixing by disabling on
> rx interrupt in rx isr.
> 
> Fixes: c03abd84634d ("net: ethernet: cpsw: don't requests IRQs we don't use")

why does this fix that commit ? What was the regression ? So RX IRQ fire
and both RX and TX are disabled, sure that's bad. But it should cause
lower throughput. At a minimum, I think your commit log needs some work.

Also, disable_irq_nosync() shouldn't really be needed, you could just
mask the IRQ in the IRQ Enable register, but I guess that'd be v4.3
material.

-- 
balbi